Zend Optimizer и PHP 5.3

Тема в разделе "PHP", создана пользователем holop, 16 мар 2011.

Модераторы: latteo
  1. holop

    holop Создатель

    Регистр.:
    14 фев 2010
    Сообщения:
    13
    Симпатии:
    0
    Кто-нибудь пытался подружить Zend Optimizer и PHP 5.3?
    Перечитал кучу информации в интернете, все перепробовал, но Зенд так и не заработал.
    Есть ли у кого рабочее решение?
     
  2. saen

    saen

    Регистр.:
    6 авг 2006
    Сообщения:
    756
    Симпатии:
    129
    http://www.globatel.ru/blog/byuzand/28.php
    Так пробовал?
     
  3. holop

    holop Создатель

    Регистр.:
    14 фев 2010
    Сообщения:
    13
    Симпатии:
    0
    Да, все равно ошибка.
     
  4. sergeus

    sergeus

    Регистр.:
    15 апр 2006
    Сообщения:
    185
    Симпатии:
    34
    Компания Zend также вместо Optimizer выпускает для РНР 5.3 новый продукт — Guard Loader.
    http://files.zend.com/help/Zend-Server-Community-Edition/guard_loader_component.htm
     
  5. holop

    holop Создатель

    Регистр.:
    14 фев 2010
    Сообщения:
    13
    Симпатии:
    0
    как я понял, Guard Loader сам весит полмегабайта и должен работать в связке с Zend Server, который платный, а это не годится.
    ведь Zend Optimizer был беслпатен.
     
  6. a_n_d_y

    a_n_d_y

    Регистр.:
    26 мар 2006
    Сообщения:
    465
    Симпатии:
    61
    Не правильно понял, он работает как дополнение к php и ничего не требует.
     
  7. nastena2005

    nastena2005 Постоялец

    Регистр.:
    22 авг 2009
    Сообщения:
    52
    Симпатии:
    10
    прошу прощения если я влезла не туда, может кто нибудь знает как зенд оптимизатор установить на плеск ос Operating system Linux 2.6.18-164.11.1.el5, если можно в личку помогите инфой, уже все переискала не могу найти. Спасибо
     
  8. CAPAXA

    CAPAXA

    Регистр.:
    7 июн 2007
    Сообщения:
    920
    Симпатии:
    547
    nastena2005 нравится это.
  9. a_n_d_y

    a_n_d_y

    Регистр.:
    26 мар 2006
    Сообщения:
    465
    Симпатии:
    61
    Код:
    wget -q -O - http://www.atomicorp.com/installers/atomic |sh
    yum install php-zend-optimizer
    Добавлено через 3 минуты
    CAPAXA, у nastena2005 на 99% не стоит php 5.3 ибо на плеск просто так не поставишь эту версию, да и официальной поддержки нет пока. По умолчанию стоит 5.1.6, проапгрейдить из репозитория, без извращений, можно только до 5.2.х, так что тут именно zend optimizer нужен.
     
    nastena2005 нравится это.
  10. masterlan

    masterlan

    Регистр.:
    14 окт 2009
    Сообщения:
    568
    Симпатии:
    52
    У nastena2005 скорее всего центось.
    Там становится php5.1.x или php 5.2 , больших проблем подцепить зенд из репозитария (скажем альт) не составит.
    Маловероятно что там php 5.3
    nastena2005 php -v покажите.